Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Sigil

Notices

Reply
 
Thread Tools Search this Thread
Old 07-18-2013, 03:33 AM   #1
michaelbr
Enthusiast
michaelbr began at the beginning.
 
michaelbr's Avatar
 
Posts: 35
Karma: 10
Join Date: Aug 2010
Location: Taipei/Taiwan
Device: Android 4.0.4
Sigil install error in Ubuntu 12.04

I have a new Ubuntu 12.04 installation dual boot with Windows XP, when I tried to use Ubuntu Software Center to install SIgil, I got the following error message:
The following packages have unmet dependencies:

Package dependencies cannot be resolved
sigil: Depends: libboost-filesystem1.46.1 (>= 1.46.1-1) but 1.46.1-7ubuntu3 is to be installed
Depends: libboost-regex1.46.1 (>= 1.46.1-1) but 1.46.1-7ubuntu3 is to be installed
Depends: libboost-system1.46.1 (>= 1.46.1-1) but 1.46.1-7ubuntu3 is to be installed
Depends: libc6 (>= 2.7) but 2.15-0ubuntu10.4 is to be installed
Depends: libgcc1 (>= 1:4.1.1) but 1:4.6.3-1ubuntu5 is to be installed
Depends: libqt5concurrent5 (>= 5.0.2) but it is not going to be installed
Depends: libqt5core5 (>= 5.0.2) but it is not going to be installed
Depends: libqt5gui5 (>= 5.0.2) but it is not going to be installed
Depends: libqt5network5 (>= 5.0.2) but it is not going to be installed
Depends: libqt5printsupport5 (>= 5.0.2) but it is not going to be installed
Depends: libqt5webkit5 but it is not going to be installed
Depends: libqt5widgets5 (>= 5.0.2) but it is not going to be installed
Depends: libstdc++6 (>= 4.6) but 4.6.3-1ubuntu5 is to be installed
Depends: zlib1g (>= 1:1.1.4) but 1:1.2.3.4.dfsg-3ubuntu4 is to be installed

How do I solve those dependencies problems? Why those packages cannot be installed? How can I check or correct those problems?
michaelbr is offline   Reply With Quote
Old 07-18-2013, 04:12 AM   #2
Jellby
frumious Bandersnatch
Jellby ought to be getting tired of karma fortunes by now.Jellby ought to be getting tired of karma fortunes by now.Jellby ought to be getting tired of karma fortunes by now.Jellby ought to be getting tired of karma fortunes by now.Jellby ought to be getting tired of karma fortunes by now.Jellby ought to be getting tired of karma fortunes by now.Jellby ought to be getting tired of karma fortunes by now.Jellby ought to be getting tired of karma fortunes by now.Jellby ought to be getting tired of karma fortunes by now.Jellby ought to be getting tired of karma fortunes by now.Jellby ought to be getting tired of karma fortunes by now.
 
Jellby's Avatar
 
Posts: 6,309
Karma: 4898871
Join Date: Jan 2008
Location: Spaniard in Sweden
Device: Cybook Orizon, Kobo Aura
I'm afraid you'd need to upgrade the Ubuntu distro (libc6 2.7 is required, but you have only 2.15, and that's one of the core packages).
Jellby is offline   Reply With Quote
 
Advertisement
Old 07-18-2013, 08:24 AM   #3
DiapDealer
Grand Sorcerer
DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.
 
DiapDealer's Avatar
 
Posts: 9,526
Karma: 43837842
Join Date: Jan 2010
Device: Nexus 7, Kindle Fire HD
There's a version of Sigil 0.7.x in the standard Ubuntu repos?
DiapDealer is offline   Reply With Quote
Old 07-18-2013, 09:32 AM   #4
teh603
Snarky Snark
teh603 ought to be getting tired of karma fortunes by now.teh603 ought to be getting tired of karma fortunes by now.teh603 ought to be getting tired of karma fortunes by now.teh603 ought to be getting tired of karma fortunes by now.teh603 ought to be getting tired of karma fortunes by now.teh603 ought to be getting tired of karma fortunes by now.teh603 ought to be getting tired of karma fortunes by now.teh603 ought to be getting tired of karma fortunes by now.teh603 ought to be getting tired of karma fortunes by now.teh603 ought to be getting tired of karma fortunes by now.teh603 ought to be getting tired of karma fortunes by now.
 
teh603's Avatar
 
Posts: 1,198
Karma: 6244877
Join Date: Sep 2011
Location: Coastal Texas
Device: Asus TF300
Quote:
Originally Posted by DiapDealer View Post
There's a version of Sigil 0.7.x in the standard Ubuntu repos?
I had to get mine from a PPA.

Also, use Synaptic. The Software Center is a piece of junk.
teh603 is offline   Reply With Quote
Old 07-18-2013, 11:08 AM   #5
DiapDealer
Grand Sorcerer
DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.
 
DiapDealer's Avatar
 
Posts: 9,526
Karma: 43837842
Join Date: Jan 2010
Device: Nexus 7, Kindle Fire HD
Keep my Unofficial Linux Debian binary packages in mind. They're reportedly working fairly well on most debian based distros libc6 2.15 and higher.

http://www.mobileread.com/forums/sho...d.php?t=211754

Self-contained and easily removable.
They're intended as a stop-gap measure until such time as Qt5 hits the repos.
DiapDealer is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Sigil error in Ubuntu 12.04 njm55n Sigil 13 05-20-2012 07:19 AM
can't install in Ubuntu 11.10 nimblebooks Sigil 2 01-25-2012 02:03 PM
Cannot install calibre on ubuntu 8.04 kkkidder Calibre 1 03-19-2009 11:44 PM
ubuntu install fail error shown wired fone4u Calibre 3 02-04-2009 03:23 PM
Ubuntu 7.10 90% of libprs500 install... knewbie Calibre 3 12-24-2007 05:38 PM


All times are GMT -4. The time now is 03:01 AM.


MobileRead.com is a privately owned, operated and funded community.